diff -pruN 6.14.1-2/check_smart.pl 6.14.2-1/check_smart.pl
--- 6.14.1-2/check_smart.pl	2023-09-20 12:50:07.000000000 +0000
+++ 6.14.2-1/check_smart.pl	2024-03-15 05:55:33.000000000 +0000
@@ -60,13 +60,14 @@
 # Apr 29, 2023: Claudio Kuenzler - Add default check on Load Cycle Count (ignore using --skip-load-cycles) (6.14.0)
 # Sep 20, 2023: Yannick Martin - Fix default Percent_Lifetime_Remain threshold handling when -w is given (6.14.1)
 # Sep 20, 2023: Claudio Kuenzler - Fix debug output for raw check list, fix --hide-serial in debug output (6.14.1)
+# Mar 15, 2024: Yannick Martin - Fix nvme check when auto interface is given and device is nvme (6.14.2)
 
 use strict;
 use Getopt::Long;
 use File::Basename qw(basename);
 
 my $basename = basename($0);
-my $revision = '6.14.1';
+my $revision = '6.14.2';
 
 # Standard Nagios return codes
 my %ERRORS=('OK'=>0,'WARNING'=>1,'CRITICAL'=>2,'UNKNOWN'=>3,'DEPENDENT'=>4);
@@ -327,7 +328,7 @@ foreach $device ( split("\\|",$device) )
 					$output_mode = "nvme";
 					warn "(debug) setting output mode to nvme\n" if $opt_debug;
 				} else {
-					$output_mode = "ata";
+					$output_mode = "ata" unless $output_mode;
 				}
 				warn "(debug) parsing line:\n$line\n" if $opt_debug;
 				if ($1 eq $ok_str_ata) {
@@ -347,6 +348,7 @@ foreach $device ( split("\\|",$device) )
 				warn "(debug) found model: $model\n\n" if $opt_debug;
 			}
 			if($line =~ /$line_model_nvme(.+)/){
+				$output_mode = "nvme";
 				warn "(debug) parsing line:\n$line\n\n" if $opt_debug;
 				$model = $1;
 				$model =~ s/\s{2,}/ /g;
diff -pruN 6.14.1-2/debian/changelog 6.14.2-1/debian/changelog
--- 6.14.1-2/debian/changelog	2024-05-29 11:26:01.000000000 +0000
+++ 6.14.2-1/debian/changelog	2024-07-02 19:23:07.000000000 +0000
@@ -1,3 +1,10 @@
+monitoring-plugins-check-smart (6.14.2-1) unstable; urgency=medium
+
+  * New upstream version
+  * Change nagios-nrpe-server from Depends to Recommends Closes: #1074363
+
+ -- John Lines <john@paladyn.org>  Tue, 02 Jul 2024 20:23:07 +0100
+
 monitoring-plugins-check-smart (6.14.1-2) unstable; urgency=medium
 
   * Fix debian/copyright to remove 'or later versions' from GPL-3 spec
diff -pruN 6.14.1-2/debian/control 6.14.2-1/debian/control
--- 6.14.1-2/debian/control	2024-02-22 15:43:29.000000000 +0000
+++ 6.14.2-1/debian/control	2024-07-02 18:07:02.000000000 +0000
@@ -3,7 +3,7 @@ Section: admin
 Priority: optional
 Maintainer: John Lines <john@paladyn.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://www.claudiokuenzler.com/monitoring-plugins/check_smart.php
 Rules-Requires-Root: no
 #Vcs-Git: https://salsa.debian.org/debian/monitoring-plugins-check.git
@@ -12,7 +12,8 @@ Rules-Requires-Root: no
 Package: monitoring-plugins-check-smart
 Architecture: all
 Multi-Arch: foreign
-Depends: perl:any, smartmontools, sudo, nagios-nrpe-server, ${misc:Depends}
+Depends: perl:any, smartmontools, sudo, ${misc:Depends}
+Recommends: nagios-nrpe-server
 Description: nagios compatible check S.M.A.R.T. storage plugin
  The check_smart monitoring plugin uses smartmontools to monitor the
  health of physical hard drives via a central nagios based monitoring
